function ann_indxs=PVC_Detector(t,input_signal,sample_rate,current_ann_vec)
s=size(current_ann_vec);
if s(1)>s(2)
    current_ann_vec=current_ann_vec';
end
ann_indxs=[current_ann_vec];
diff_ann=diff(current_ann_vec);
mean_ann_diff=mean(diff_ann);
std_ann_diff=std(diff_ann);
try
average_ann_voltage=mean(input_signal(current_ann_vec));
catch
current_ann_vec=current_ann_vec(1:end-1);
average_ann_voltage=mean(input_signal(current_ann_vec));
end
for counter=1:numel(diff_ann)
    if (diff_ann(counter)>(mean_ann_diff+std_ann_diff))
        ann_indx=force_pvc_ann(input_signal(current_ann_vec(counter)+0.1*diff_ann(counter):current_ann_vec(counter+1)),average_ann_voltage-0.1*diff_ann(counter));
        ann_indxs=[ann_indxs (ann_indx+(current_ann_vec(counter)+floor(0.1*diff_ann(counter))))  ];
    end
end
ann_indxs=sort(ann_indxs);